Index Page vupack_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void vupack_c ( ConstSpiceDouble     v[3],
                       SpiceDouble        * x,
                       SpiceDouble        * y,
                       SpiceDouble        * z     )

#### Abstract

       Unpack three scalar components from a vector.

#### Required_Reading

       None.

#### Keywords

       VECTOR

#### Brief_I/O

       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       v          I   3-vector.
       x,
       y,
       z          O   Scalar components of 3-vector.

#### Detailed_Input

       v           is a double precision 3-vector.

#### Detailed_Output

       x,
       y,
       z           are the scalar components of the 3-vector v.  On output,
                   the following equalities hold:

                      x = v[0]
                      y = v[1]
                      z = v[2]

#### Parameters

       None.

#### Exceptions

       Error free.

#### Files

       None.

#### Particulars

       Basically, this is just shorthand notation for the common
       sequence

          x = v[0];
          y = v[1];
          z = v[2] ;

       The routine is useful largely for two reasons. First, it
       reduces the chance that the programmer will make a "cut and
       paste" mistake, like

          x = v[0];
          y = v[0];
          z = v[0];

       Second, it makes conversions between equivalent units simpler,
       and clearer. For instance, the sequence

          x = v[0] * rpd_c();
          y = v[1] * rpd_c();
          z = v[2] * rpd_c();

       can be replaced by the (nearly) equivalent sequence

          vscl_c   ( rpd_c(),  v,   v  );
          vupack_c ( v,  &x,  &y,  &z  );

#### Examples

       See: Detailed_Description.

#### Restrictions

       None.

#### Literature_References

       None.

#### Author_and_Institution

       N.J. Bachman    (JPL)
       I.M. Underwood  (JPL)

#### Version

       -CSPICE Version 1.0.0, 07-NOV-2006 (NJB)

          Corrected header errors that claimed this routine
          performs the function of vpack_c.

       -CSPICE Version 1.0.0, 28-JUN-1999 (IMU) (NJB)

#### Index_Entries

       unpack three scalar components from a vector

#### Link to routine vupack_c source file vupack_c.c

    Wed Apr  5 17:54:47 2017